> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Global IP Assignment Health Check Metrics



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/networking/networking.yml get /global_ip_assignment_health
openapi: 3.1.0
info:
  title: Telnyx Networking API
  version: 2.0.0
  description: API for Networking.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /global_ip_assignment_health:
    description: Global IP Assignment Health Check Metrics over time
    get:
      tags:
        - Global IPs
      summary: Global IP Assignment Health Check Metrics
      operationId: GetGlobalIpAssignmentHealth
      parameters:
        - name: filter
          in: query
          style: deepObject
          explode: true
          description: >-
            Consolidated filter parameter (deepObject style). Originally:
            filter[global_ip_id][in], filter[global_ip_assignment_id][in]
          schema:
            type: object
            properties:
              global_ip_id:
                oneOf:
                  - type: string
                    description: Filter by exact Global IP ID
                  - type: object
                    properties:
                      in:
                        type: string
                        description: Filter by Global IP ID(s) separated by commas
                    additionalProperties: false
                    description: Filtering operations
              global_ip_assignment_id:
                oneOf:
                  - type: string
                    description: Filter by exact Global IP Assignment ID
                  - type: object
                    properties:
                      in:
                        type: string
                        description: >-
                          Filter by Global IP Assignment ID(s) separated by
                          commas
                    additionalProperties: false
                    description: Filtering operations
            additionalProperties: false
      responses:
        '200':
          $ref: '#/components/responses/GlobalIpHealthResponse'
        '422':
          $ref: '#/components/responses/netapps_GenericErrorResponse'
        default:
          $ref: '#/components/responses/netapps_GenericErrorResponse'
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Telnyx from 'telnyx';


            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });


            const globalIPAssignmentHealth = await
            client.globalIPAssignmentHealth.retrieve();


            console.log(globalIPAssignmentHealth.data);
        - lang: Python
          source: >-
            import os

            from telnyx import Telnyx


            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )

            global_ip_assignment_health =
            client.global_ip_assignment_health.retrieve()

            print(global_ip_assignment_health.data)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tglobalIPAssignmentHealth, err := client.GlobalIPAssignmentHealth.Get(context.TODO(), telnyx.GlobalIPAssignmentHealthGetParams{})\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", globalIPAssignmentHealth.Data)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.globalipassignmenthealth.GlobalIpAssignmentHealthRetrieveParams;

            import
            com.telnyx.sdk.models.globalipassignmenthealth.GlobalIpAssignmentHealthRetrieveResponse;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    GlobalIpAssignmentHealthRetrieveResponse globalIpAssignmentHealth = client.globalIpAssignmentHealth().retrieve();
                }
            }
        - lang: Ruby
          source: >-
            require "telnyx"


            telnyx = Telnyx::Client.new(api_key: "My API Key")


            global_ip_assignment_health =
            telnyx.global_ip_assignment_health.retrieve


            puts(global_ip_assignment_health)
        - lang: PHP
          source: >-
            <?php


            require_once dirname(__DIR__) . '/vendor/autoload.php';


            use Telnyx\Client;

            use Telnyx\Core\Exceptions\APIException;


            $client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API
            Key');


            try {
              $globalIPAssignmentHealth = $client->globalIPAssignmentHealth->retrieve(
                filter: ['globalIPAssignmentID' => 'string', 'globalIPID' => 'string']
              );

              var_dump($globalIPAssignmentHealth);
            } catch (APIException $e) {
              echo $e->getMessage();
            }
        - lang: CLI
          source: |-
            telnyx global-ip-assignment-health retrieve \
              --api-key 'My API Key'
components:
  responses:
    GlobalIpHealthResponse:
      description: Successful response
      content:
        application/json:
          schema:
            type: object
            properties:
              data:
                type: array
                items:
                  $ref: '#/components/schemas/GlobalIpAssignmentHealthMetric'
    netapps_GenericErrorResponse:
      description: Unexpected error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/netapps_Errors'
  schemas:
    GlobalIpAssignmentHealthMetric:
      type: object
      properties:
        timestamp:
          type: string
          format: date-time
          description: The timestamp of the metric.
          example: '2020-01-01T00:00:00.000Z'
        global_ip:
          type: object
          properties:
            id:
              type: string
              format: uuid
              description: Global IP ID.
              example: a836125b-20b6-452e-9c03-2653f09c7ed7
            ip_address:
              type: string
              description: The Global IP address.
              readOnly: true
              example: 192.0.2.1
        global_ip_assignment:
          type: object
          properties:
            id:
              type: string
              format: uuid
              description: Global IP assignment ID.
              example: a836125b-20b6-452e-9c03-2653f09c7ed7
            wireguard_peer_id:
              type: string
              format: uuid
              description: Wireguard peer ID.
              example: e66c496d-4a85-423b-8b2a-8e63fac20320
            wireguard_peer:
              type: object
              properties:
                name:
                  type: string
                  description: A user specified name for the interface.
                  example: Wireguard Peer 1
                ip_address:
                  type: string
                  description: The IP address of the interface.
                  example: 73.47.1.23
        health:
          type: object
          properties:
            pass:
              type: number
              description: The number of successful health checks.
              example: 100
            fail:
              type: number
              description: The number of failed health checks.
              example: 0
    netapps_Errors:
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/netapps_Error'
      type: object
    netapps_Error:
      required:
        - code
        - title
      properties:
        code:
          type: string
        title:
          type: string
        detail:
          type: string
        source:
          type: object
          properties:
            pointer:
              description: JSON pointer (RFC6901) to the offending entity.
              type: string
            parameter:
              description: Indicates which query parameter caused the error.
              type: string
        meta:
          type: object
          additionalProperties: true
      type: object
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````